﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.Authentication {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Base implementation for a authenticatable user
    /// </summary>
    public interface ISecureUser {
        /// <summary>
        /// Implements the user's name
        /// </summary>
        string Name {
            get;
            set;
        }

        /// <summary>
        /// Implements the user's password
        /// </summary>
        string Password {
            get;
            set;
        }
    }
}