﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that prevents users from shutting down or restarting Windows
    /// </summary>
    public class NoClosePolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoClosePolicy class
        /// </summary>
        public NoClosePolicy()
            : base("NoClose") {
        }
    }
}
