﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that prevents users from adding the Favorites menu to the Start menu.
    /// </summary>
    public class NoFavoritesMenuPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoFavoritesMenuPolicy class
        /// </summary>
        public NoFavoritesMenuPolicy()
            : base("NoFavoritesMenu") {
        }
    }
}
