﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that removes the Folder Options item from all Windows Explorer menus and removes the Folder Options item from Control Panel. As a result, users cannot use the Folder Options dialog box.
    /// </summary>
    public class NoFolderOptionsPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoFolderOptionsPolicy class
        /// </summary>
        public NoFolderOptionsPolicy()
            : base("NoFolderOptions") {
        }
    }
}
