﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that removes the Documents menu from the Start menu.
    /// </summary>
    public class NoRecentDocsMenuPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoRecentDocsMenuPolicy class
        /// </summary>
        public NoRecentDocsMenuPolicy()
            : base("NoRecentDocsMenu") {
        }
    }
}
