﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that removes the Active Desktop options from Settings on the Start Menu.
    /// </summary>
    public class NoSetActiveDesktopPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoSetActiveDesktopPolicy class
        /// </summary>
        public NoSetActiveDesktopPolicy()
            : base("NoSetActiveDesktop") {
        }
    }
}
