﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that prevents Control Panel, Printers, and Network and Dial-up Connections from running
    /// </summary>
    public class NoSetFoldersPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoSetFoldersPolicy class
        /// </summary>
        public NoSetFoldersPolicy()
            : base("NoSetFolders") {
        }
    }
}
