﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Exception thrown when access to a policy is not authorized to the current caller or user
    /// </summary>
    public class PolicyAccessException : System.Exception {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.WindowsShell.PolicyAccessException class
        /// </summary>
        /// <param name="message">Sets a custom message for this exception</param>
        public PolicyAccessException(string message, Exception baseException)
            : base(message, baseException) {
        }

        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.WindowsShell.PolicyAccessException class
        /// </summary>
        public PolicyAccessException(Exception baseException)
            : this(Properties.Resources.PolicyAccessExceptionMessage, baseException) {
        }
    }
}