﻿ // *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Win32.Constants {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Constant values for Application Desktop Toolbar's that define which edge of the screen the AppBar will attach to
    /// </summary>
    public enum ABEdge {
        /// <summary>
        /// Attaches the AppBar to the left edge of the screen
        /// </summary>
        ABE_LEFT = 0,

        /// <summary>
        /// Attaches the AppBar to the top edge of the screen
        /// </summary>
        ABE_TOP = 1,

        /// <summary>
        /// Attaches the AppBar to the right edge of the screen
        /// </summary>
        ABE_RIGHT = 2,
        
        /// <summary>
        /// Attaches the AppBar to the bottom edge of the screen
        /// </summary>
        ABE_BOTTOM = 3
    }
}