﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Windows.Forms {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Windows.Forms;
    using System.ComponentModel;
    using System.Drawing;

    /// <summary>
    /// Wrapper around the <see cref="System.Windows.Forms.ContextMenu"/> control
    /// </summary>
    [ToolboxItem(true)]
    [ToolboxBitmap(typeof(ContextMenu))]
    public class ExplorerContextMenu : ContextMenu {
        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.ExplorerContextMenu class
        /// </summary>
        public ExplorerContextMenu()
            : base() {
            // No additional code required
        }

        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.ExplorerContextMenu class
        /// </summary>
        /// <param name="menuItems">The menu items owned by this context menu</param>
        public ExplorerContextMenu(MenuItem[] menuItems)
            : base(menuItems) {
            // No additional code required
        }
    }
}