﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Windows.Forms {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;

    /// <summary>
    /// Wrapper around <see cref="System.Windows.Forms.MainMenu"/> class
    /// </summary>
    [ToolboxItem(true)]
    [ToolboxBitmap(typeof(MainMenu))]
    public class ExplorerMainMenu : MainMenu {
        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.ExplorerMainMenu class
        /// </summary>
        public ExplorerMainMenu()
            : base() {
            // No additional code required
        }

        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.ExplorerMainMenu class
        /// </summary>
        /// <param name="container">The host container</param>
        public ExplorerMainMenu(IContainer container)
            : base(container) {
            // No additional code required
        }

        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.ExplorerMainMenu class
        /// </summary>
        /// <param name="items">The items owned by this MainMenu</param>
        public ExplorerMainMenu(MenuItem[] items)
            : base(items) {
            // No additional code required
        }
    }
}
