﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Windows.Forms {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// ProgressBar States for the BitFlex.Windows.Forms.ExplorerProgressBar control
    /// </summary>
    public enum ExplorerProgressBarState {
        /// <summary>
        /// State to be used when an error was encountered
        /// </summary>
        Error,

        /// <summary>
        /// State to be used for normal progress
        /// </summary>
        Normal,

        /// <summary>
        /// State to be used when an operation is paused and no progress is being updated
        /// </summary>
        Paused
    }
}
