﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Windows.Forms {
    using System;

    /// <summary>
    /// EventArgs used to store information about a HyperCommandSublink when it is clicked.
    /// </summary>
    public class HyperCommandSubLinkClickedEventArgs : System.EventArgs {
        /// <summary>
        /// Instantiates a new instance of the BitFlex.Windows.Forms.HyperCommandSublinkClickedEventArgs class.
        /// </summary>
        public HyperCommandSubLinkClickedEventArgs(String command) {
            m_Command = command;
        }

        #region Properties

        private String m_Command = String.Empty;
        /// <summary>
        /// Gets the command that was triggered
        /// </summary>
        public String Command {
            get {
                return m_Command;
            }
        }

        #endregion
    }
}