﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Xdf {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Exception that is thrown when an error occurs while handling Xdf data
    /// </summary>
    public class XdfException : System.Exception {
        /// <summary>
        /// Initializes a new instance of the BitFlex.Xdf.XdfException class
        /// </summary>
        /// <param name="message">The inner exception message</param>
        public XdfException(string message)
            : base(message) {
        }
    }
}