﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Represents the current platform configuration
    /// </summary>
    public enum OperatingSystemPlatform {
        /// <summary>
        /// An unknown Platform
        /// </summary>
        Unknown = 0,

        /// <summary>
        /// The 64-Bit Platform
        /// </summary>
        x64 = 1,

        /// <summary>
        /// The 32-Bit Platform
        /// </summary>
        x86 = 2
    }
}
