﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Drawing;

    /// <summary>
    /// Stores information about a Windows Vista or Windows 7 Font
    /// </summary>
    public struct WindowsFont {
        /// <summary>
        /// Gets or Sets the underlying font.
        /// </summary>
        public Font Font {
            get;
            set;
        }
        /// <summary>
        /// Gets or Sets the underlying font color.
        /// </summary>
        public Color FontColor {
            get;
            set;
        }
    }
}
