﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Exception should be thrown when a method is called on a platform that is not supported
    /// </summary>
    public class DeprecatedPlatformException : System.Exception {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.WindowsShell.DeprecatedPlatformException class
        /// </summary>
        public DeprecatedPlatformException()
            : base("The method or routine that was attempted to invoke is for a operating system platform that is a newer version than the platform currently running.") {
        }
    }
}
