﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that prevents users from being able to change their password
    /// </summary>
    public class DisableChangePasswordPolicy : SystemPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.DisableChangePasswordPolicy class
        /// </summary>
        public DisableChangePasswordPolicy()
            : base("DisableChangePassword") {
        }
    }
}