﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that disables the context menu for the Taskbar
    /// </summary>
    public class NoTrayContextMenuPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoTrayContextMenuPolicy class
        /// </summary>
        public NoTrayContextMenuPolicy()
            : base("NoTrayContextMenu") {
        }
    }
}
