﻿// ******************************************************
// Copyright © 2010 DCOM Productions®, 
// All Rights Reserved
// ******************************************************

namespace BitFlex.EnterpriseServices.WindowsShell {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Win32;
    using System.Diagnostics;

    /// <summary>
    /// Policy that disables Windows Explorer's default context menu
    /// </summary>
    public class NoViewContextMenuPolicy : ExplorerPolicyBase {
        /// <summary>
        /// Initializes a new instance of the BitFlex.EnterpriseServices.NoViewContextMenuPolicy class
        /// </summary>
        public NoViewContextMenuPolicy()
            : base("NoViewContextMenu") {
        }
    }
}
