﻿// *********************************************************************
// [DCOM Productions]
// [Copyright (C) DCOM Productions All rights reserved.]
// *********************************************************************

namespace BitFlex.Windows.Forms {
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Linq;
    using System.Text;
    using System.Windows.Forms;

    /// <summary>
    /// Creates the standard Windows Form but using the proper Windows Vista+7 style colors
    /// </summary>
    public partial class VistaForm : Form {
        /// <summary>
        /// Initializes a new instance of the BitFlex.Windows.Forms.VistaForm class
        /// </summary>
        public VistaForm() {
            InitializeComponent();
            BackColor = SystemColors.Window;
            Font = new Font("Segoe UI", 9.0F);
        }
    }
}
